(defun c:elemsliste (/ elemli gesliste i item)
(vl-load-com)
  (defun bau_elemli (asatz / n elemli)
    (setq n 0)
    (repeat (sslength asatz)
      (setq elemli (cons (ssname asatz n) elemli)
            n      (1+ n)
            ) ;_ end of setq 
      ) ;_ end of repeat 
    elemli
    ) ;_ end of defun
  (vlax-for layer (vla-get-layers
                    (vla-get-activedocument (vlax-get-acad-object))
                    ) ;_ end of vla-get-layers

    (mapcar
      '(lambda (y / c)
         (if (member (setq c (cdr (assoc 0 (entget y))))
                     (mapcar 'car elemli)
                     ) ;_ end of member
           (setq elemli (subst (cons c (+ 1 (cdr (assoc c elemli))))
                               (assoc c elemli)
                               elemli
                               ) ;_ end of subst
                 ) ;_ end of setq
           (setq elemli (cons (cons c 1) elemli))
           ) ;_ end of if
         ) ;_ end of lambda
      (if (setq as (ssget "_X" (list (cons 8 (vla-get-name layer)))))
        (bau_elemli as)
        ) ;_ end of if
      ) ;_ end of mapcar
    (setq
      gesliste (cons (apply 'list (cons (vla-get-name layer) elemli))
                     gesliste
                     ) ;_ end of cons
      ) ;_ end of setq
    ) ;_ end of vlax-for
  (if
    gesliste
     (foreach item gesliste
       (princ "\n--\n")
       (princ
         (strcat "\nLayername: " (car item) "\nElemente . Anzahl \n")
         ) ;_ end of princ
       (foreach i (cdr item)
         (prin1 i)
         (terpri)
         ) ;_ end of foreach
       ) ;_ end of foreach
     ) ;_ end of if
  (princ)
  ) ;_ end of defun
;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
